Project Chrono: chrono::ChFunctionRotationAxis Class Reference

Public Member Functions | List of all members
chrono::ChFunctionRotationAxis Class Reference
Chrono::Engine » Function objects

## Description

A rotation function q=f(s) where q(s) is defined with axis V and angle alpha, assuming fixed axis of rotation V and a angle of rotation alpha about that axis, expressed with a ChFunction object alpha=alpha(s).

By default, the axis is the Z axis, and rotation is constant zero rotation.

`#include <ChFunctionRotationAxis.h>`

Inheritance diagram for chrono::ChFunctionRotationAxis:
[legend]
Collaboration diagram for chrono::ChFunctionRotationAxis:
[legend]

## Public Member Functions
| ChFunctionRotationAxis (const ChFunctionRotationAxis &other)
virtual ChFunctionRotationAxis * | Clone () const override
| "Virtual" copy constructor.
void | SetFunctionAngle (std::shared_ptr< ChFunction > mx)
| Set the angle(s) function expressing the rotation about the fixed axis of rotation. Angle assumed in radians.
std::shared_ptr< ChFunction > | GetFunctionAngle ()
| Get the angle(s) function expressing the rotation about the fixed axis of rotation. Angle assumed in radians.
void | SetAxis (const ChVector3d &mv)
| Set the fixed axis of rotation. It must be unit length. Default Z vector.
ChVector3d | GetAxis ()
| Get the fixed axis of rotation.
virtual ChQuaternion | GetQuat (double s) const override
| Return the rotation as a quaternion, function of s, as q=f(s).
virtual ChVector3d | GetAngVel (double s) const override
| Return the derivative of the rotation function, at s, expressed as angular velocity w in local frame.
virtual ChVector3d | GetAngAcc (double s) const override
| Return the derivative of the rotation function, at s, expressed as angular acceleration in local frame.
virtual void | ArchiveOut (ChArchiveOut &archive_out) override
| Method to allow serialization of transient data to archives.
virtual void | ArchiveIn (ChArchiveIn &archive_in) override
| Method to allow de-serialization of transient data from archives.
Public Member Functions inherited from chrono::ChFunctionRotation
| ChFunctionRotation (const ChFunctionRotation &other)
virtual void | Update (double t)
| Update could be implemented by children classes, ex. to launch callbacks.

## Member Function Documentation

## ◆ ArchiveIn()

void chrono::ChFunctionRotationAxis::ArchiveIn | ( | ChArchiveIn & | archive_in | ) |
| overridevirtual

Method to allow de-serialization of transient data from archives.

Reimplemented from chrono::ChFunctionRotation.

## ◆ ArchiveOut()

void chrono::ChFunctionRotationAxis::ArchiveOut | ( | ChArchiveOut & | archive_out | ) |
| overridevirtual

Method to allow serialization of transient data to archives.

Reimplemented from chrono::ChFunctionRotation.

## ◆ Clone()

virtual ChFunctionRotationAxis * chrono::ChFunctionRotationAxis::Clone | ( |  | ) | const
| inlineoverridevirtual

"Virtual" copy constructor.

Implements chrono::ChFunctionRotation.

## ◆ GetAngAcc()

ChVector3d chrono::ChFunctionRotationAxis::GetAngAcc | ( | double | s | ) | const
| overridevirtual

Return the derivative of the rotation function, at s, expressed as angular acceleration in local frame.

Reimplemented from chrono::ChFunctionRotation.

## ◆ GetAngVel()

ChVector3d chrono::ChFunctionRotationAxis::GetAngVel | ( | double | s | ) | const
| overridevirtual

Return the derivative of the rotation function, at s, expressed as angular velocity w in local frame.

Reimplemented from chrono::ChFunctionRotation.

## ◆ GetQuat()

ChQuaternion chrono::ChFunctionRotationAxis::GetQuat | ( | double | s | ) | const
| overridevirtual

Return the rotation as a quaternion, function of s, as q=f(s).

Implements chrono::ChFunctionRotation.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/functions/ChFunctionRotationAxis.h
- D:/W/B/src/chrono-9.0.1/src/chrono/functions/ChFunctionRotationAxis.cpp